jclj.net
当前位置:首页 >> JquEry 效果导航菜单 在IE6、IE7中不兼容 怎么处理... >>

JquEry 效果导航菜单 在IE6、IE7中不兼容 怎么处理...

.mainlevel ul{}样式 设置left与top.mainlevel{}relative相对设定

jquery从2.0版本开始,就不再支持ie6/7/8,虽然现在ie6几乎呈被“淘汰”的趋势,但ie7和8的使用者还是较多的,故还是需要考虑到ie的兼容问题,所以建议使用jquery1.0+的版本

1.可以使用原生JS或者低版本的Jquery1.x版本.因为Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理.如果需要兼容低版本的IE版本,建议使用原生JS或者低版本的Jquery1.x版本.2.可以给网页写两套或者多套JS代

升级你的浏览器,至少升级到IE7

CSS的问题,做的时候就应该一步步的看,做好了再看眼睛都花了,一般在填充和边界问题,或者是没清楚浮动

IE6报错正常的,因为IE6并不支持有些JS..所以,你应该完全用Jquery写整个下拉菜单(Jquery是支持IE6的,也就是说有错它内部会自动处理掉)这样就能兼容IE6了当然.我个人看法是让IE6去死吧~~~哇哈哈哈

可能兼容问题或者试试这个焦点图有12345数字一起切换有小图大图一起切换里面有教程和源码

alert($("#bottom_menu").is(":focus")); 这个打印出来的是true的话,说明程序没问题,你是不是用的ajax呀?看看是不是没取到Id?你看一下取一下你这个页面的其它Id试一下,应该没有问题!

这个,在ie中貌似要写border-right:0;所以你把none改成0应该就好了.

下拉菜单只需要$("#ID").val();就可以了.这句话就是获取选中的下拉菜单值

相关文档
网站首页 | 网站地图
All rights reserved Powered by www.jclj.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com